<?
class TableCreateModule implements charcoal_IModule
{
	/*
	 *    コンストラクタ
	 */
	public function __construct()
	{
	}

	/*
	 * モジュール名
	 */
	public function getModuleName()
	{
		return "DB Connect module";
	}

	/*
	 * モジュールを初期化する
	 */
	public function init( charcoal_Config $config )
	{
	}


	/*
	 * モジュールの処理を実行する
	 */
	public function execute( $action, charcoal_Request $request, charcoal_ProcedureContext $context, charcoal_Response $response )
	{
		// テーブル作成
		$context->db->createTable( new ShouhinModel() );

		// 投入データ
		$data_list = array( 
				array( 'item_code' => 'ELH-001', 'item_name' => '高級羽毛布団', 'price' => '54000' ),
				array( 'item_code' => 'THJ-2341', 'item_name' => 'ソファーベッド', 'price' => '43000' ),
				array( 'item_code' => 'BFD-1172D', 'item_name' => 'パソコンデスク', 'price' => '22000' ),
			);

		// Model作成
		$model = new ShouhinModel();

		// データ投入
		foreach( $data_list as $data )
		{
			// DTO作成
			$dto = new charcoal_DTO();

			// データをセット
			$dto->item_code = $data['item_code']; 
			$dto->item_name = $data['item_name'];
			$dto->price 	= $data['price'];

			// DB保存
			$context->getDB()->save( $model, $dto, 'PHP_TO_DB' );
		}

		return "success";
	}
}
?>